from ctypes import cdll

fpasel_dll = cdll.LoadLibrary('/usr/lib/x86_64-linux-gnu/libmultigparm.so')

serial_numbers = "*# *"

fpa_instances = fpasel_dll.F_OpenInstancesAndFPAs (serial_numbers)
dll_type_ver = fpasel_dll.F_DLLTypeVer()
result = fpasel_dll.F_Use_Config_INI(0)
result = fpasel_dll.F_Initialization()
serial_number = fpasel_dll.F_Get_FPA_SN(1)
fpasel_dll.F_CloseInstances()

print("discovered adapters: {}".format(fpa_instances))
print ("DLL version: {}".format(dll_type_ver))
print("Adapter serial number: {}".format(serial_number))
